Let non admin users update their account via the REST API
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Using Redmine Java API library:

User user = rmf.getUserManager.getCurrentuser;

user.setFirstName("new name");

rmf.getUserManager.update(user);

Error: BadAuthentication.

I believe this is because Redmine requires authorization for "update user" action, which requires admin privileges.

What it should do instead is to check permissions basing on resources. In this example user should be able to change his/her own

details.

Related issues:

Is duplicate of Redmine - Patch #31399: make /my/account endpoint accessible ... Closed

History

#1 - 2015-03-15 15:40 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Redmine API should authorize basing on resources, not actions to Let non admin users update their account via the REST

API

#2 - 2020-06-14 14:49 - Go MAEDA

- Is duplicate of Patch #31399: make /my/account endpoint accessible through API added

#3 - 2020-06-14 14:51 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

An API to allow a user to update their own account has been added in Redmine 4.1.0. See #31399 for details.
